# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

PYTHON_COMPAT=( python3_{10..12} )
DISTUTILS_USE_PEP517=hatchling

inherit distutils-r1

DESCRIPTION="Commmand-line interface for hikari"
HOMEPAGE="https://codeberg.org/odrling/hikari_uploader"
SRC_URI="https://codeberg.org/odrling/hikari_uploader/archive/v${PV}.tar.gz -> ${P}.tar.gz"
S=${WORKDIR}/hikari_uploader

LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~arm64"

RDEPEND="
	$(python_gen_cond_dep '
		dev-python/pyperclip[${PYTHON_USEDEP}]
		dev-python/requests[${PYTHON_USEDEP}]
		dev-python/requests-toolbelt[${PYTHON_USEDEP}]
		dev-python/rich[${PYTHON_USEDEP}]
		dev-python/typer[${PYTHON_USEDEP}]
	')
"
